﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MyFriend.Common;
using System.Data;

namespace MyFriend.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Title = "朋友圈管理系统";
            return View();
        }

        [HttpPost]
        public ActionResult GetTree(string id)
        {
            DataTable dt = DBClass.GetTable("select * from tb_Menue where ParentId='" + id + "' and id <>'0'");
            List<Menue> lstMenue = dt.ToList<Menue>();
            var jsonData = (
                       from m in lstMenue
                       select new
                       {
                           id = m.Id,
                           text = m.Name,
                           value = m.Url,
                           showcheck = false,
                           complete = false,
                           isexpand = false,
                           checkstate = 0,
                           hasChildren = m.IsLast=="1" ? false : true,
                           Icon = m.Iconic
                       }
                   ).ToArray();
            return Json(jsonData);
            
        }

        //桌面
        public ActionResult Desktop()
        {
           
            return View();
        }

        public ActionResult Add()
        {
            return View();
        }
        public ActionResult About()
        {
            return View();
        }
    }
}
