﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MyFriend.Common;

namespace MyFriend.Controllers
{
    public class LoginController : Controller
    {
        //
        // GET: /Login/

        public ActionResult Index()
        {
            return View();
        }
        [HttpPost]
        public JsonResult CheckLogin(FormCollection form)
        {
            string strName = form["UserName"];
            string strPwd = form["Password"];
            string strValidateCode = form["ValidateCode"];
            if (Session["ValidationCode"] == null || strValidateCode != Session["ValidationCode"].ToString())
            {
                return Json(new { type = "error", msg = "验证码错误" });
            }
            else if (strName != "admin" || strName != "admin")
            {
                return Json(new { type = "error", msg = "用户名或密码错误" });
            }
            return Json(new { type = "success", msg = "验证成功" });
        }
        public FileContentResult CreateImageCode()
        {
            ValidationCode vCode = new ValidationCode();
            string code = vCode.CreateValidateCode(5);
           Session["ValidationCode"] =code;
           byte[] bytes = vCode.CreateValidateGraphic(code);
           return File(bytes, @"image/jpeg");
         
        }

    }
}
